<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('db_rekapppds', function (Blueprint $table) {
            $table->id();
            $table->integer('idkasus')->nullable();
            $table->integer('idppds')->nullable();
            $table->string('sebagai', 15)->nullable();
            $table->string('namappds', 255)->nullable();
            $table->string('kelompokstase', 150)->nullable();
            $table->string('kodestase', 150)->nullable();
            $table->string('kepanjangan', 150)->nullable();
            $table->integer('target')->nullable();
            $table->integer('idstase')->nullable();
            $table->string('nofoto', 100)->nullable();
            $table->timestamp('verifikasi')->nullable();
            $table->string('supervisor', 250)->nullable();
            $table->string('layanan', 250)->nullable();
            $table->string('klinis', 250)->nullable();
            $table->string('modality', 50)->nullable();
            $table->string('ruangan', 150)->nullable();
            $table->string('durasi', 150)->nullable();
            $table->string('marking', 150)->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrent();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('db_rekapppds');
    }
};
